<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!--TITLE-->
    <title>VP Money Transfer</title>

    <!-- Favicon icon -->
    <link rel="shortcut icon" type="image/png" href="images/favicon.png"/>

    <!-- Stylesheet -->
    <link rel="stylesheet" type="text/css" th:href="@{/css/bootstrap.min.css}" href="../static/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" th:href="@{/css/adminStyle.css}" href="../static/css/adminStyle.css">
    <link rel="stylesheet" type="text/css" th:href="@{/css/adminCsstyle.css}" href="../static/css/adminCsstyle.css">
    <link rel="stylesheet" type="text/css" th:href="@{/css/style.css}" href="../static/css/style.css">
    <link rel="stylesheet" type="text/css" th:href="@{/css/all.min.css}" href="../static/css/all.min.css">

</head>
<body>
<!-- Preloader -->
<div id="preloader">
    <div id="status"></div>
</div>

<!-- Document Wrapper  -->
<div id="main-wrapper">
    <!-- Header start -->
    <header class="header">
        <div class="container d-flex align-items-center">
            <a class="logo" href="/">
                <img src="images/VP.png" alt="">
            </a>
            <nav class="primary-menu text-md-right">
                <a id="mobile-menu-toggler" href="#"><i class="fas fa-bars"></i></a>
                <ul>
                    <li><a href="/">Home</a></li>
                    <li><a href="/send-money-process">Send Money</a></li>
                    <li><a href="/about">About</a></li>
                    <li><a href="/contact">Contact</a></li>
                    <li class="has-menu-child pro-menu-drop" sec:authorize="isAuthenticated()">
                        <a href="#">
                            <div class="header-pro-thumb">
                                <img class="rounded-circle" th:unless="${user.picture==null}"
                                     th:src="@{'data:image/jpeg;base64,' + ${user.picture}}" alt="">
                                <img class="rounded-circle" th:if="${user.picture==null}"
                                     src="images/profile-img.jpeg" alt="">
                            </div>
                            <div th:text="${user.username}"></div>
                            <i class="fas fa-chevron-down"></i>
                        </a>
                        <ul class="dropdown-menu-md sub-menu profile-drop">

                            <li class="nav__create-new-profile-link">
                                <a href="/profile">
                                    <span>View personal profile</span>
                                </a>
                            </li>
                            <li class="divider"></li>

                            <li class="nav__dropdown-menu-items">
                                <a href="/logout"><i class="icon icon-logout"></i><span>Logout</span></a></li>
                        </ul>
                    </li>
                </ul>
            </nav>
        </div>
    </header>
    <!-- Header end -->

    <!-- Admin Hero section-->
    <div class="hero-section">
    </div>
    <!-- Admin End of Hero section-->


    <!-- Content -->
    <div id="content" class="py-4">
        <div class="container">
            <div class="row">

                <!-- Left sidebar -->
                <aside class="col-lg-3 sidebar">
                    <div class="widget admin-widget p-0">
                        <div class="Profile-menu">
                            <ul class="nav secondary-nav">
                                <li class="nav-item active"><a class="nav-link " href="/dashboard"><i
                                        class="fas fa-tachometer-alt"></i> Dashboard</a></li>
                                <li class="nav-item"><a class="nav-link" href="/profile"><i
                                        class="fab fa-autoprefixer"></i> My Profile</a></li>
                                <li class="nav-item" sec:authorize="hasRole('ADMIN')"><a class="nav-link" href="/users"><i
                                        class="fab fa-autoprefixer"></i> All users</a></li>
                                <li class="nav-item"><a class="nav-link" href="/wallets-and-cards"><i
                                        class="fas fa-university"></i> Wallets & Cards</a></li>
                                <li class="nav-item"><a class="nav-link" href="/deposit-money"><i
                                        class="fas fa-plus"></i> Deposit Money to wallet</a></li>
                                <li class="nav-item"><a class="nav-link" href="/send-money-process"><i
                                        class="far fa-paper-plane"></i> Send Money to friend</a></li>
                                <li class="nav-item"><a class="nav-link" href="/transactions"><i
                                        class="fas fa-list-ul"></i> My Transactions</a></li>
                                <li class="nav-item" sec:authorize="hasRole('ADMIN')"><a class="nav-link"
                                                                                         href="/all-transactions"><i
                                        class="fas fa-list-ul"></i> All Transactions</a></li>
                            </ul>
                        </div>
                    </div>

                </aside>
                <!-- Left Panel End -->

                <!-- Middle Panel -->
                <div class="col-lg-9 profile-area">
                    <h3 class="admin-heading bg-offwhite">Personal Profile<a href="#edit-personal-details"
                                                                             class="btn-link pbtn"
                                                                             data-id="edit-personal-details"><i
                            class="fas fa-edit mr-1"></i>Update</a></h3>

                    <h3 class="admin-heading bg-offwhite">Account password<a href="#change-password"
                                                                             class="btn-link pbtn"
                                                                             data-id="change-password"><i
                            class="fas fa-edit mr-1"></i>Change</a></h3>

                    <!-- Edit personal info  -->
                    <div id="edit-personal-details" class="accord bg-offwhite">
                        <div class="content-edit-area">
                            <div class="edit-header">
                                <button type="button" class="close"><span aria-hidden="true">&times;</span></button>
                            </div>
                            <div class="edit-content">
                                <form id="personaldetails" th:action="@{/updateUser}" th:object="${updatedUser}" method="post"
                                      enctype='multipart/form-data'>
                                    <div class="row">
                                        <div class="col-4">
                                            <div class="form-group">
                                                <label for="firstName"><b>First Name</b></label>
                                                <label>
                                                    <input type="text" class="form-control"
                                                           th:field="${user.firstName}"
                                                           data-pr-form="firstName" id="firstName"
                                                           th:placeholder="${user.firstName}"
                                                           pattern="[a-zA-Z]{3,20}">
                                                </label>
                                            </div>
                                        </div>
                                        <div class="col-4">
                                            <div class="form-group">
                                                <label for="lastName"><b>Last Name</b></label>
                                                <label>
                                                    <input type="text" class="form-control"
                                                           th:field="${user.lastName}"
                                                           data-pr-form="lastName" id="lastName"
                                                           th:placeholder="${user.lastName}"
                                                           pattern="[a-zA-Z]{3,20}">
                                                </label>
                                            </div>
                                        </div>
                                        <div class="col-4">
                                            <div class="form-group">
                                                <label for="phone"><b>Phone</b></label>
                                                <label>
                                                    <input id="phone" type="text"
                                                           th:field="${user.phone}"
                                                           class="form-control"
                                                           th:placeholder="${user.phone}"
                                                           pattern="^(\(?\+359\)?)[0-9]{9}$" required
                                                           title="The allowed format is: +359888111222">
                                                </label>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-4">
                                        <div class="form-group">
                                            <label for="address"><b>Email</b></label>
                                            <label>
                                                <input type="email"
                                                       th:field="${user.email}"
                                                       class="form-control" data-pr-form="address" id="address"
                                                       th:placeholder="${user.email}"
                                                       pattern="^[\w-\+]+(\.[\w]+)*@[\w-]+(\.[\w]+)*(\.[a-z]{2,})$"
                                                       title="The allowed format is: email@gmail.com">
                                            </label>
                                        </div>
                                    </div>
                                    <div class="col-8">
                                        <div class="form-group">
                                            <label for="file"><b>Picture</b></label>
                                            <label>
                                                <input type="file" name="file" id="file"
                                                       class="form-control" data-pr-form="picture"
                                                       onchange="return fileValidation()"
                                                       accept=".jpg,.jpeg,.png,.gif">
                                            </label>
                                        </div>
                                    </div>
                                    <div id="imagePreview"></div>

                                    <button class="btn btn-default" type="submit"><i class="far fa-save"></i> Save
                                        Changes
                                    </button>
                                </form>

                            </div>
                        </div>
                    </div>

                    <!-- Change password  -->
                    <div id="change-password" class="accord bg-offwhite">
                        <div class="content-edit-area">
                            <div class="edit-header">
                                <button type="button" class="close"><span aria-hidden="true">&times;</span></button>
                            </div>
                            <div class="edit-header">
                            </div>
                            <div class="edit-content">
                                <form th:action="@{/changeUserPassword}" th:object="${userCP}" method="post">
                                    <div class="form-group">
                                        <label><b>Confirm Current Password</b></label>
                                        <input type="password" class="form-control" data-pr-form="Current-pass"
                                               name="oldPassword" required placeholder="Enter Current Password"
                                               pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{4,20}"
                                               title="Must contain at least one  number and one uppercase and lowercase letter, and at least 4 or more characters">
                                    </div>
                                    <div class="form-group">
                                        <label><b>New Password</b></label>
                                        <input type="password" class="form-control" data-pr-form="new-password"
                                               name="newPassword" required placeholder="Enter New Password"
                                               pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{4,20}"
                                               title="Must contain at least one  number and one uppercase and lowercase letter, and at least 4 or more characters">
                                    </div>
                                    <div class="form-group">
                                        <label><b>Confirm New Password</b></label>
                                        <input type="password" class="form-control" data-pr-form="confirm-password"
                                               name="confirmNewPassword" required placeholder="Confirm New Password"
                                               pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{4,20}"
                                               title="Must contain at least one  number and one uppercase and lowercase letter, and at least 4 or more characters">
                                    </div>

                                    <button class="btn btn-default" type="submit"><i class="far fa-save"></i> Save
                                        Changes
                                    </button>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- Edit personal info End -->
                    
                    <div class="infoItems bg-offwhite">
                        <div class="row">
                            <p class="col-sm-3"><b>Profile Picture</b></p>
                            <p class="col-sm-9" th:unless="${user.picture==null}">
                                <img th:src="@{'data:image/jpeg;base64,' + ${user.picture}}" alt="No image added" src=""
                                style="width: 250px;height: 250px;border-radius: 50%;display: block;margin-left: auto;
                                margin-right: auto;border-style: outset;">
                            </p>
                            <p class="col-sm-9" th:if="${user.picture==null}"><img src="images/profile-img.jpeg" alt=""
                            style="width: 250px;height: 250px;border-radius: 50%;display: block;margin-left: auto;
                            margin-right: auto;border-style: outset;">
                            </p>
                        </div>
                        <hr>
                        <div class="row">
                            <p class="col-sm-3"><b>First Name</b></p>
                            <p class="col-sm-9" th:if="${#strings.isEmpty(user.firstName)}">No name added.</p>
                            <p class="col-sm-9" th:unless="${#strings.isEmpty(user.firstName)}"
                               th:text="${user.firstName}"></p>
                        </div>
                        <hr>
                        <div class="row">
                            <p class="col-sm-3"><b>Last Name</b></p>
                            <p class="col-sm-9" th:if="${#strings.isEmpty(user.lastName)}">No name added.</p>
                            <p class="col-sm-9" th:unless="${#strings.isEmpty(user.lastName)}"
                               th:text="${user.lastName}"></p>
                        </div>
                        <hr>
                        <div class="row">
                            <p class="col-sm-3"><b>Status</b></p>
                            <p class="col-sm-9" th:if="${!user.isBlocked()}"><span
                                    class="bg-success text-white rounded-pill d-inline-block px-2 mb-0"><i
                                    class="fas fa-check-circle"></i> Active</span></p>
                            <p class="col-sm-9" th:if="${user.isBlocked()}"><span
                                    class="bg-danger text-white rounded-pill d-inline-block px-2 mb-0"><i
                                    class="fas fa-thumbs-down"></i> Blocked</span></p>
                        </div>
                        <hr>
                        <div class="row">
                            <p class="col-sm-3"><b>Email</b> <span
                                    class="text-muted font-weight-500"></span></p>
                            <p class="col-sm-9" th:text="${user.email}"></p>
                        </div>
                        <hr>
                        <div class="row">
                            <p class="col-sm-3"><b>Phone Number</b> <span class="text-muted font-weight-500"></span>
                            </p>
                            <p class="col-sm-9" th:text="${user.phone}"></p>
                        </div>

                    </div>

                </div>
            </div>
            <!-- Middle Panel End -->
        </div>
    </div>
</div>
<!-- Content end -->

<!-- Footer start -->
<footer class="footer">
    <div class="foo-btm">
        <div class="container">
            <div class="row">
                <div class="col-md-6">
                    <div class="foo-navigation">
                        <ul>
                            <li><a href="#">Terms and Conditions</a></li>
                            <li><a href="#">Privacy & Policy</a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="copyright">Copyright &copy; <a></a>2020</div>
                </div>
            </div>
        </div>
    </div>
</footer>
<!-- Footer end -->

<!-- Document Wrapper end -->

<!-- Script -->
<script src="js/jquery.min.js"></script>
<script src="js/bootstrap.bundle.min.js"></script>
<script src="js/moment.min.js"></script>
<script src="js/daterangepicker.js"></script>
<script src="js/bootstrap-select.min.js"></script>
<script src="js/custom.js"></script>
<script src="js/main.js"></script>

<script src="js/jquery-3.3.1.min.js"></script>
<script src="js/jquery-ui.min.js"></script>
<script src="js/bootstrap.min.js"></script>
<script src="js/owl.carousel.min.js"></script>
<script src="js/owl.carousel2.thumbs.min.js"></script>
<script src="js/jquery.countdown.min.js"></script>
<script src="js/jquery.fancybox.min.js"></script>
<script src="js/jquery.nice-select.min.js"></script>
<script src="../../cdnjs.cloudflare.com/ajax/libs/gsap/2.1.3/TweenMax.min.js"></script>
<script src="../../s3-us-west-2.amazonaws.com/s.cdpn.io/106949/jquery.onscreen.js"></script>
<script src="js/scripts.js"></script>
</body>

</html>